import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/platform/auth/web-login',
    method: 'post',
    data
  })
}

export function imgCode() {
  return request({
    url: '/platform/auth/img-code',
    method: 'get'
  })
}

export function getInfo(token) {
  return request({
    url: '/platform/auth/info',
    method: 'get',
    params: { token }
  })
}

export function logout() {
  return request({
    url: '/platform/auth/logout',
    method: 'get'
  })
}
